Tracira
API referenceLogs

Bulk-approve, bulk-reject, or bulk-delete logs

PATCH
/api/logs/bulk

Authorization

sessionAuth
better-auth.session_token<token>

Browser session cookie used by logged-in Tracira users. Secure-prefixed variants may also be used by the browser.

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/logs/bulk" \  -H "Content-Type: application/json" \  -d '{    "ids": [      "string"    ],    "action": "approve"  }'
{
  "ok": true,
  "count": 0
}
{
  "error": "string",
  "code": "string",
  "fields": {
    "property1": "string",
    "property2": "string"
  }
}
{
  "error": "string",
  "code": "string",
  "fields": {
    "property1": "string",
    "property2": "string"
  }
}